// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

events.listen('item.registry', event => {
  // Register new items here
  // event.create('example_item').displayName('Example Item')
event.create('mossy_pebble').displayName('Mossy Pebble')
event.create('sky_bucks').displayName('Sky Bucks')
event.create('dirt_mulch').displayName('Dirt Mulch')
event.create('andesite_pebble').displayName('Andesite Pebble')
event.create('granite_pebble').displayName('Granite Pebble')
event.create('diorite_pebble').displayName('Diorite Pebble')
event.create('dust').displayName('Dust')
event.create('tiny_torch').displayName('Tiny Torch')
event.create('coal_dust').displayName('Coal Dust')
event.create('blank_token').displayName('Blank Token')
event.create('nether_token').displayName('Nether Token')
event.create('end_token').displayName('End Token')
event.create('dimensional_dungeon_token').displayName('Dimensional Dungeon Token')
event.create('diamond_ingot').displayName('Diamond Ingot')
event.create('blank_singularity').displayName('Blank Singularity')
event.create('fluid_duplication_token').displayName('Fluid Duplication Token')
event.create('honey_token').displayName('Honey Token')
event.create('blank_spawn_egg').displayName('Blank Spawn Egg')
event.create('dye_cluster').displayName('Dye Cluster').glow(true)
event.create('rune_of_absolute_power').displayName('Rune of Absolute Power').glow(true)
})

events.listen('block.registry', event => {
  // Register new blocks here

  event.create('blank_ore').material('rock').hardness(1.0).displayName('Blank Ore').requiresTool(true)
    

})

events.listen('fluid.registry', event => {
  event.create('organic_fluid').textureThick(0x86A774).displayName('Organic Water').bucketColor(0x86A774) 
  event.create('weak_eroding_fluid').textureThick(0x392C4C).displayName('Weak Eroding Water').bucketColor(0x392C4C)
  event.create('weak_enriching_fluid').textureThick(0xD79113).displayName('Weak Enriching Water').bucketColor(0xD79113)
  event.create('strong_enriching_fluid').textureThick(0x808080).displayName('Strong Enriching Water').bucketColor(0x808080)
  event.create('nether_enriching_fluid').textureThick(0x580704).displayName('Nether Enriching Water').bucketColor(0x580704)
  event.create('end_enriching_fluid').textureThick(0xD9E0A4).displayName('End Enriching Water').bucketColor(0xD9E0A4)
  event.create('ore_fluid').textureThick(0x44DCFF).displayName('Ore Forming Water').bucketColor(0x44DCFF)
  event.create('creosote_fluid').textureThick(0x7F2300).displayName('Strong Creosote Oil').bucketColor(0x7F2300)
  event.create('magical_water').textureThick(0x00FF21).displayName('Magical Water').bucketColor(0x00FF21)
})